{% extends 'base.html.twig' %}

{% block title %}Restaurant{% endblock %}

{% block body %}

    <div class="d-flex flex-nowrap">
        <div class="col pr-3 pl-0">
            <h2>{{ restaurant.name }}</h2>
            <h5>{{ restaurant.foodtype }}</h5>
            {% include 'restaurant/_note.html.twig' %}
        </div>
        <div class="col px-3 border-right border-left">
            <h4>Emplacement et coordonnées</h4>
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2783.451792905979!2d4.831009815547985!3d45.76213522153451!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47f4ea55b7484839%3A0x8bc1a28a6fc5fae7!2s{{ restaurant.address.line|url_encode }}%2C%20{{ restaurant.address.postalcode|url_encode }}%20{{ restaurant.address.city|url_encode }}!5e0!3m2!1sfr!2sfr!4v1599813950795!5m2!1sfr!2sfr" class="w-100 rounded" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
            <p class="m-0 d-flex align-items-center"><span class="material-icons mr-2">location_on</span>{{ restaurant.address.line }}, {{ restaurant.address.postalcode }} {{ restaurant.address.city }}</p>
            <a href="#" class="m-0 d-flex align-items-center text-dark text-decoration-none"><span class="material-icons mr-2">language</span>Site internet</a>
            <p class="m-0 d-flex align-items-center"><span class="material-icons mr-2">phone</span>+33 0 00 00 00 00</p>
        </div>
        <div class="col-5 pl-3 pr-0" style="min-height: 15rem; max-height: 18rem">
            <img src="{{ restaurant.linkPhoto }}" class="w-100 h-100 rounded" style="object-fit: cover;">
        </div>
    </div>

    <div class="d-flex my-3 pt-3 border-top">
        <div class="col-8 mr-3 pr-3 pl-0 pt-3 border-right listOpinions">
            <div class="d-flex justify-content-between">
                <h3>Avis sur le restaurant</h3>
                {% if is_granted('ROLE_CLIENT')%}
                    <div>
                        <a href="{{ path('opinion_new', { id: restaurant.id }) }}" class="btn btn-success btn-sm">Ajouter un avis</a>
                    </div>
                {% endif %}
            </div>
            {% for opinion in opinions %}
                {% include 'opinion/_opinionCard.html.twig' %}
            {% else %}
                <p>Il n'y a pas d'avis pour le moment.</p>
            {% endfor %}
        </div>
        <div class="col bg-secondary">
            <p>Pub</p>
        </div>
    </div>

{% endblock %}
